Spectrum plots {cheddar} | R Documentation

## Spectrum plots

### Description

High-level functions that plot the sum numerical abundance (N) or biomass abundance (B) in equally-spaced log10 body-mass bins.

### Usage

    PlotBSpectrum(community,
                  lower = min(NP(community, "M"), na.rm = TRUE),
                  upper = max(NP(community, "M"), na.rm = TRUE),
                  n.bins = 10,
                  main = CPS(community)$title,
                  xlab = Log10MLabel(community),
                  ylab = Log10BLabel(community),
                  xlim = NULL,
                  ylim = NULL,
                  pch = 19,
                  show.bin.limits = TRUE,
                  show.bin.centres = FALSE,
                  ...)

    PlotNSpectrum(community,
                  lower = min(NP(community, "M"), na.rm = TRUE),
                  upper = max(NP(community, "M"), na.rm = TRUE),
                  n.bins = 10,
                  main = CPS(community)$title,
                  xlab = Log10MLabel(community),
                  ylab = Log10NLabel(community),
                  xlim = NULL,
                  ylim = NULL,
                  pch = 19,
                  show.bin.limits = TRUE,
                  show.bin.centres = FALSE,
                  ...)

### Arguments

`community` | an object of class `Community`.
`lower` | lower bound of the bins.
`upper` | upper bound of the bins.
`n.bins` | the number of bins.
`main` | title of the plot
`xlab` | title of the x axis.
`ylab` | title of the y axis.
`xlim` | limits of the x axis.
`ylim` | limits of the y axis.
`pch` | plotting symbol.
`show.bin.limits` | logical - if `TRUE` the centres of the bins are marked with a line.
`show.bin.centres` | logical - if `TRUE` the centres of the bins are marked with a line.
`...` | other values to plot functions.

### Value

A `list`:

`bins` | value returned by the `BodyMassBins` function.
`lm` | a linear regression fitted through the data.

### Author(s)

Lawrence Hudson

### See Also

`Community`, `BodyMassBins`, `PlotCircularWeb`, `PlotNPS`, `PlotNPSDistribution`, `PlotRankNPS`, `PlotTLPS`, `PlotWebByLevel`

### Examples

    data(TL84)
    PlotNSpectrum(TL84)
    PlotBSpectrum(TL84)

[Package cheddar version 0.1-633 Index]